Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.soap.util
Interface PublisherTransport

public interface PublisherTransport

Defines the way the publisher channel receives application events.

Method Summary
`Properties` | `init(String parameterString, Tracer tracer, PublisherDataHandler publisherDataHandler)` Initializes Extension.
`void` | `poll()` Triggers the PublisherTransport to look for new application events.
`void` | `stop()` Halts driver processes.

Method Detail

### init

    public Properties init(String parameterString,
                           Tracer tracer,
                           PublisherDataHandler publisherDataHandler)
                    throws StatusException

  Initializes Extension. It is invoked after the Extension is instantiated, which occurs soon after the driver starts up. The init() method is called only once. The PublisherTransport should keep the PublisherDataHandler that is passed in so that it can send application events back through the shim to the engine.

  Parameters:
    `parameterString` - If the correct element is found in the driver settings, this string contains that text. Otherwise, it is null. You can control what is in the parameterString by setting the appropriate `Init Parameter` driver setting in iManager. For more information, see the driver documentation.
    `tracer` - The Tracer object that this extension can use to print output to the DSTrace utility.
    `publisherDataHandler` - An object that implements PublisherDataHandler, which this PublisherTransport can use to send data on the publisher channel.
  Returns:
    A Properties object for communicating with the driver shim. The Properties object should contain at least one key-value pair, namely the key `secure` and the value of either `true` or `false`. If this extension transports or stores data and does so without using encryption, you must use `false`. If your extension doesn't transport or store data or does so securely, you can use `true`. This property might be used by future releases of Identity Manager to determine whether a driver is allowed access to sensitive data. Other properties might be defined in the future as well.
  Throws:
    `StatusException`

### poll

    public void poll()

  Triggers the PublisherTransport to look for new application events. If defined by the polling-interval publisher driver parameter, this method is called by the shim on a regular basis. If your publisher is event driven, you don't need to do anything in this method.

### stop

    public void stop()

  Halts driver processes. It is called when the driver is shut down, allowing you to perform any necessary cleanup or maintenance on your PublisherTransport.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD